VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Sheet3"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = True
Option Explicit

Sub DiceGame()
'called by dice icon click
[rollsthis].Select
      'if end of game then reset
If [rollsthis] >= [rollsper] Then
  ResetGame
Else  'calculate and assign the win
  ActiveSheet.Calculate
  Select Case [score1] - [score2]
    Case Is > 0
      [wins1] = [wins1] + 1
    Case Is = 0
      'in case of tie nothing happens
    Case Is < 0
      [wins2] = [wins2] + 1
  End Select
  
      'incremenet totals and roll count
  [total1] = [total1] + [score1]
  [total2] = [total2] + [score2]
  [rollsthis] = [rollsthis] + 1
End If
      'if end of game then show winner
If [rollsthis] = [rollsper] Then
  Union([winner1], [winner2]).Calculate
  If MsgBox("Game over. Reset?", vbOKCancel + vbQuestion, "Dice Game") = vbOK Then ResetGame
End If
End Sub

Sub ResetGame()
'reset all
Union([total1], [total2], [wins1], [wins2], [rollsthis]).ClearContents
Union([winner1], [winner2]).Calculate
End Sub

Sub OpenColumns()
'called by transparent rectangle on top of folder icon
'toggles expand/collapse column group
If [ColGrp].Columns.Hidden Then
    [ColGrp].Columns.Hidden = False
    [ColSet].Value = Chr(49)
Else
    [ColGrp].Columns.Hidden = True
    [ColSet].Value = Chr(48)
End If
End Sub

Private Sub Worksheet_Activate()
Application.Calculation = xlManual

End Sub

Private Sub Worksheet_Change(ByVal Target As Range)
On Error Resume Next
If Target = [dot] Then ActiveSheet.Calculate
End Sub
