VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Sheet6"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = True
Option Explicit

Sub ClearAll()
'click input button
[input].ClearContents
[adjust1].ClearContents
[adjust2].ClearContents
[input].Select
End Sub

Sub ClearAdj1()
'click spacing button
[adjust1].ClearContents

End Sub

Sub ClearAdj2()
'click editing button
[adjust2].ClearContents

End Sub

Sub Demo1()
'demo with pivot 0
Dim dur As String
'set step dur from input cell
dur = "0:00:0" & [demosec]
With Application
With [demomsg1]
.Value = "Step by step demo"
.Font.Bold = True
End With
[demomsg2] = "first, clear the input ranges"
ClearAdj2
.Wait (Now + TimeValue(dur))
ClearAdj1
.Wait (Now + TimeValue(dur))
ClearInput
[demomsg2] = "input the first half of the palindrome"
[demomsg3] = "ignore punctuation for now"
.Wait (Now + TimeValue(dur))
[input] = "a dog a panic"
.Wait (Now + TimeValue(dur))
[demomsg2] = "enter pivot point 0 or 1"
[demomsg3] = ""
[pivot] = 0
.Wait (Now + TimeValue(dur))
[demomsg2] = "edit spacing and punctuation"
[demomsg3] = "from left to right"
[startspacing].Offset(0, 6) = "g"
.Wait (Now + TimeValue(dur))
[startediting].Offset(0, 6) = ","
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 15) = "g"
.Wait (Now + TimeValue(dur))
[startediting].Offset(0, 15) = ","
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 16) = "g"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 19) = "g"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 21) = "g"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 23) = "f"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 24) = "f"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 27) = "f"
.Wait (Now + TimeValue(dur))
[demomsg1] = "done"
[demomsg2] = ""
[demomsg3] = ""
.Wait (Now + TimeValue(dur))
With [demomsg1]
.Value = "Demo message area"
.Font.Bold = False
End With
End With
End Sub

Sub Demo2()
'demo with pivot 1
Dim dur As String
'set step dur from input cell
dur = "0:00:0" & [demosec]
With Application
With [demomsg1]
.Value = "Step by step demo"
.Font.Bold = True
End With
[demomsg2] = "first, clear the input ranges"
ClearAdj2
.Wait (Now + TimeValue(dur))
ClearAdj1
.Wait (Now + TimeValue(dur))
ClearInput
[demomsg2] = "input the first half of the palindrome"
[demomsg3] = "ignore punctuation for now"
.Wait (Now + TimeValue(dur))
[input] = "go hang a salami"
.Wait (Now + TimeValue(dur))
[demomsg2] = "enter pivot point 0 or 1"
[demomsg3] = ""
[pivot] = 1
.Wait (Now + TimeValue(dur))
[demomsg2] = "edit spacing and punctuation"
[demomsg3] = "from left to right"
[startspacing].Offset(0, 17) = "g"
.Wait (Now + TimeValue(dur))
[startediting].Offset(0, 17) = ","
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 18) = "g"
.Wait (Now + TimeValue(dur))
[startediting].Offset(0, 19) = "^"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 20) = "g"
.Wait (Now + TimeValue(dur))
[startediting].Offset(0, 20) = "''"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 22) = "g"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 24) = "g"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 28) = "f"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 29) = "f"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 32) = "g"
.Wait (Now + TimeValue(dur))
[startspacing].Offset(0, 34) = "f"
.Wait (Now + TimeValue(dur))
[demomsg1] = "done"
[demomsg2] = ""
[demomsg3] = ""
.Wait (Now + TimeValue(dur))
With [demomsg1]
.Value = "Demo message area"
.Font.Bold = False
End With
End With
End Sub

Public Sub ShowPalRecs()
'scroll the screen to the palindrome table
With ActiveWindow
  .ScrollRow = [palrecsel].Row - 1
  .ScrollColumn = [palrecsel].Column - 1
End With
[palrecsel].Offset(1, 0).Select
End Sub

Sub RecordPal()
'record the palindrome if not already recorded
Application.ScreenUpdating = False
On Error Resume Next
If [palrecorded] Then
  MsgBox "This palindrome is already recorded.", , "Palindrome"
Exit Sub
End If

Dim tbl As ListObject, nrow As ListRow
Set tbl = ActiveSheet.ListObjects("PalRec")
Set nrow = tbl.ListRows.Add(1)
[output].Copy
With nrow
  .Range(1).PasteSpecial Paste:=xlPasteValues
  .Range(3) = Date
End With

Application.CutCopyMode = False
Application.ScreenUpdating = True
[input].Select

End Sub

Sub GoBack()
'click transparent rectangle on top
'of back arrow from either table
Range("A1").Select
[inputheader].Select
End Sub

Sub OpenRows1()
'click transparent rectangle on top of folder
'toggles expand/collapse row group
If [RowGrp1].Rows.Hidden Then
    [RowGrp1].Rows.Hidden = False
    [RowSet1].Value = Chr(49)
Else
    [RowGrp1].Rows.Hidden = True
    [RowSet1].Value = Chr(48)
End If
End Sub

Public Sub ShowPalProc()
'scroll the screen to the processing table
With ActiveWindow
.ScrollRow = [palprcsel].Row - 1
.ScrollColumn = [palprcsel].Column - 1
End With
[palprcsel].Offset(1, 0).Select
End Sub

Private Sub Worksheet_Activate()
Application.Calculation = xlManual

End Sub

Private Sub Worksheet_Change(ByVal Target As Range)
ActiveSheet.Calculate
End Sub

