VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Sheet1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = True
Option Explicit
Option Base 1

Sub MsgBox_Tutorial()
Attribute MsgBox_Tutorial.VB_Description = "illustrates the usage of MsgBox by using the number in the value column to configure the message; returns the value and name of the button selected"
Attribute MsgBox_Tutorial.VB_ProcData.VB_Invoke_Func = "m\n14"
'Ctrl+M: raises MsgBox configured by the number in the active cell
'second MsgBox gives the number and name of the user action
Dim answer As Integer, buttons As Variant, tcol As ListColumn
Dim cButt As Long, cIcon As Long, cDef As Long

Set tcol = ActiveSheet.ListObjects("Examples").ListColumns("value")
If Application.Intersect(ActiveCell, tcol.Range) Is Nothing Then GoTo out:
buttons = Array("OK", "Cancel", "Abort", "Retry", "Ignore", "Yes", "No")

'On Error GoTo out:
With ActiveCell
  answer = MsgBox("MsgBox type " & .Value & ": " & .Offset(0, -6) & " + " & _
    .Offset(0, -5) & " + " & .Offset(0, -4) & vbCr & IIf(Len(.Offset(0, 1)), _
    "Example: " & .Offset(0, 1), ""), .Value, "MsgBox")
  MsgBox "You selected button number " & answer & ", " & _
    buttons(answer), , "MsgBox"
End With
Exit Sub
out:
  MsgBox "Select a cell in the value column of the " & _
    "MsgBox Examples table.", 48, "MsgBox"
End Sub

Sub InputBox_Tutorial()
Attribute InputBox_Tutorial.VB_Description = "illustrates the usage of InputBox to receive user input string; returns the string in MsgBox"
Attribute InputBox_Tutorial.VB_ProcData.VB_Invoke_Func = "j\n14"
'Ctrl+J: raises InputBox, then
'raises MsgBox with the user entry enclosed in quotation marks
Dim msg, answer As String, h, w, x, y As Integer
msg = "> The prompt can be up to 1024 characters." & _
  vbCr & "> The entry can be up to 254 characters." & _
  vbCr & "> A line break will truncate the return string." & _
  vbCr & "> There are no button or icon options." & _
  vbCr & "> A default entry can be specified." & _
  vbCr & "> Screen position can be specified." & _
  vbCr & "> This prompt length is "
answer = InputBox(msg & Len(msg), "InputBox Entry Example", "default")
MsgBox "You entered " & IIf(Len(answer), Chr(34) & answer & Chr(34) & _
  ", length=" & Len(answer), "nothing"), , "InputBox Return in MsgBox"
End Sub
